Bug 1674925 - gdb-heap: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: gdb-heap: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb-heap
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:15 UTC by Fedora Release Engineering
Modified: 2019-02-14 09:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-14 09:15:31 UTC
dmalcolm: needinfo? (releng)


Attachments (Terms of Use)

Description Fedora Release Engineering 2019-02-11 17:15:54 UTC
gdb-heap failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32386187


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix gdb-heap at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gdb-heap will be orphaned. Before branching of Fedora 31,
gdb-heap will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Dave Malcolm 2019-02-12 19:46:52 UTC
Only failed on s390x, where the result:
https://koji.fedoraproject.org/koji/taskinfo?taskID=32386261

doesn't contain anything useful:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/koji/daemon.py", line 1244, in runTask
    response = (handler.run(),)
  File "/usr/lib/python2.7/site-packages/koji/tasks.py", line 307, in run
    return koji.util.call_with_argcheck(self.handler, self.params, self.opts)
  File "/usr/lib/python2.7/site-packages/koji/util.py", line 216, in call_with_argcheck
    return func(*args, **kwargs)
  File "/usr/sbin/kojid", line 1242, in handler
    fn = self.localPath("work/%s" % pkg)
  File "/usr/lib/python2.7/site-packages/koji/tasks.py", line 477, in localPath
    fsrc = six.moves.urllib.request.urlopen(url)
  File "/usr/lib64/python2.7/urllib2.py", line 154, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib64/python2.7/urllib2.py", line 435, in open
    response = meth(req, response)
  File "/usr/lib64/python2.7/urllib2.py", line 548, in http_response
    'http', request, response, code, msg, hdrs)
  File "/usr/lib64/python2.7/urllib2.py", line 473, in error
    return self._call_chain(*args)
  File "/usr/lib64/python2.7/urllib2.py", line 407, in _call_chain
    result = func(*args)
  File "/usr/lib64/python2.7/urllib2.py", line 556, in http_error_default
    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
HTTPError: HTTP Error 503: Backend fetch failed

Is this some kind of Koji configuration error?

Comment 2 Igor Gnatenko 2019-02-14 09:15:31 UTC
There has been at least one successfull build after mass rebuild.

gdb-heap-0.5-34.fc30: https://koji.fedoraproject.org/koji/buildinfo?buildID=1186939


Note You need to log in before you can comment on or make changes to this bug.